petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscStrInList

search string in character-delimited list

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscStrInList(const char str[],const char list[],char sep,PetscBool *found)

Not Collective

### Input Parameters

| str | - the string to look for
| list | - the list to search in
| sep | - the separator character

### Output Parameter

found -whether str is in list

### Notes

Not for use in Fortran

### See Also

PetscTokenCreate(), PetscTokenFind(), PetscStrcmp()

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages